Post Pic

Grave vulnerabilidad en WordPress

José, de Desvarios Informaticos, ha detectado un grave error en el fichero wp-trackback.php que permite dejar caido nuestro servidor en menos de 5 minutos realizando poco más de 20 peticiones. Esto es un problema muy grave, ya que afecta a todas las versiones de WordPress ha la fecha.

Por suerte, la solución es muy simple y basta con buscar la siguiente linea en nuestro wp-trackback.php:
$charset = $_POST[‘charset’];

Y reemplazarla por esta:
1. $charset = str_replace(‘,’, ”, $_POST[‘charset’]);
2. if(is_array($charset)) { exit; }

Con esto el problema se soluciona. Cabe señalar que, aun cuando no tengamos activado los trackbacks, esta vulnerabilidad igual nos afecta, de modo que es altamente recomendable aplicar el parche cuanto antes.

Fuente: Agujero de seguridad muy grave en WordPress

Entradas Relacionadas:


Un comentario

10.24.09

Envidio tu capacidad para publicar maravilloso artículo sobre http://www.guiawordpress.org simplemente quería decir que me gusta esto!

Deja un comentario

* Nombre, Email, son requeridos para comentarios.

Instapress Plugin